/*
 * $Header: /home/cvs/jakarta-commons/httpclient/src/java/org/apache/commons/httpclient/IOTimeoutException.java,v 1.4 2004/05/13 04:03:25 mbecke Exp $
 * $Revision: 1.4 $
 * $Date: 2004/05/13 04:03:25 $
 *
 * ====================================================================
 *
 *  Copyright 1999-2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * ====================================================================
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Apache Software Foundation.  For more
 * information on the Apache Software Foundation, please see
 * <http://www.apache.org/>.
 *
 */

package org.apache.commons.httpclient;

/**
 * A I/O or network timeout while communicating with an HTTP server.
 * 
 * @author <a href="mailto:laura@lwerner.org">Laura Werner</a>
 * 
 * @since 3.0
 */
public class IOTimeoutException extends HttpTimeoutException {

    /**
     * Creates a IOTimeoutException with a <tt>null</tt> detail message.
     */
    public IOTimeoutException() {
        super();
    }

    /**
     * Creates a IOTimeoutException with a specified message.
     * 
     * @param message The exception detail message
     */
    public IOTimeoutException(String message) {
        super(message);
    }

    /**
     * Creates a new IOTimeoutException with the specified detail message and cause.
     * 
     * @param message the exception detail message
     * @param cause the <tt>Throwable</tt> that caused this exception, or <tt>null</tt>
     * if the cause is unavailable, unknown, or not a <tt>Throwable</tt>
     */
    public IOTimeoutException(String message, Throwable cause) {
        super(message, cause);
    }

}
